Package net.shibboleth.idp.attribute.transcoding

# Class TranscoderSupport

java.lang.Object
net.shibboleth.idp.attribute.transcoding.TranscoderSupport

public final class TranscoderSupport extends Object
Support functions for working with `AttributeTranscoder` framework.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`TranscoderSupport()`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`static <T> AttributeTranscoder<T>`
`getTranscoder(TranscodingRule rule)`
Pull an `AttributeTranscoder` object out of the rule provided.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TranscoderSupport

private TranscoderSupport()
Constructor.

## Method Details

### getTranscoder

@Nonnull public static <T> AttributeTranscoder<T> getTranscoder(@Nonnull TranscodingRule rule) throws ConstraintViolationException
Pull an `AttributeTranscoder` object out of the rule provided.

Type Parameters:
  `T` - type of supported target object
Parameters:
  `rule` - transcoding rule
Returns:
  an `AttributeTranscoder`
Throws:
  `ConstraintViolationException` - if a transcoder cannot be obtained